## Index

### Functions

- apply
- applyAll

## Functions

### apply

- apply(transform: function, events: IFSA[]): Promise<IFSA[]>

- - Defined in Store/Interceptor/Interceptor.ts:4

  #### Parameters

  - ##### transform: function

    - - (event: IFSA): IFSA

      - #### Parameters

        - ##### event: IFSA

        #### Returns IFSA

  - ##### events: IFSA[]

  #### Returns Promise<IFSA[]>

### applyAll

- applyAll(transforms: Array<function>, events: IFSA[]): Promise<IFSA[]>

- - Defined in Store/Interceptor/Interceptor.ts:12

  #### Parameters

  - ##### transforms: Array<function>

  - ##### events: IFSA[]

  #### Returns Promise<IFSA[]>

Generated using TypeDoc